org.wildfly.swarm.config.infinispan.cache_container

## Class Backup<T extends Backup<T>>

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.Backup<T>

-     public class Backup<T extends Backup<T>>
      extends Object

  A backup site to which to replicate this cache.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Backup.FailurePolicy`
    `static class` | `Backup.Strategy`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Backup(String key)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `Integer` | `afterFailures()` Indicates the number of failures after which this backup site should go offline.
    `T` | `afterFailures(Integer value)` Indicates the number of failures after which this backup site should go offline.
    `Boolean` | `enabled()` Indicates whether or not this backup site is enabled.
    `T` | `enabled(Boolean value)` Indicates whether or not this backup site is enabled.
    `Backup.FailurePolicy` | `failurePolicy()` The policy to follow when connectivity to the backup site fails.
    `T` | `failurePolicy(Backup.FailurePolicy value)` The policy to follow when connectivity to the backup site fails.
    `String` | `getKey()`
    `Long` | `minWait()` Indicates the minimum time (in milliseconds) to wait after the max number of failures is reached, after which this backup site should go offline.
    `T` | `minWait(Long value)` Indicates the minimum time (in milliseconds) to wait after the max number of failures is reached, after which this backup site should go offline.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener
    `Backup.Strategy` | `strategy()` The backup strategy for this cache
    `T` | `strategy(Backup.Strategy value)` The backup strategy for this cache
    `Long` | `timeout()` The timeout for replicating to the backup site.
    `T` | `timeout(Long value)` The timeout for replicating to the backup site.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Backup

          public Backup(String key)

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### afterFailures

          public Integer afterFailures()

      Indicates the number of failures after which this backup site should go offline.

    - #### afterFailures

          public T afterFailures(Integer value)

      Indicates the number of failures after which this backup site should go offline.

    - #### enabled

          public Boolean enabled()

      Indicates whether or not this backup site is enabled.

    - #### enabled

          public T enabled(Boolean value)

      Indicates whether or not this backup site is enabled.

    - #### failurePolicy

          public Backup.FailurePolicy failurePolicy()

      The policy to follow when connectivity to the backup site fails.

    - #### failurePolicy

          public T failurePolicy(Backup.FailurePolicy value)

      The policy to follow when connectivity to the backup site fails.

    - #### minWait

          public Long minWait()

      Indicates the minimum time (in milliseconds) to wait after the max number of failures is reached, after which this backup site should go offline.

    - #### minWait

          public T minWait(Long value)

      Indicates the minimum time (in milliseconds) to wait after the max number of failures is reached, after which this backup site should go offline.

    - #### strategy

          public Backup.Strategy strategy()

      The backup strategy for this cache

    - #### strategy

          public T strategy(Backup.Strategy value)

      The backup strategy for this cache

    - #### timeout

          public Long timeout()

      The timeout for replicating to the backup site.

    - #### timeout

          public T timeout(Long value)

      The timeout for replicating to the backup site.

Copyright © 2018 JBoss by Red Hat. All rights reserved.